REM    Oracle:
REM 1.      
REM 2.   .
REM 3.   
REM 4.   

connect INTERNAL/INTARL@SKU_ARLN
set echo on

REM ********************** RBS     ******************
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\CSysRol
CREATE ROLLBACK SEGMENT SYSROL TABLESPACE "SYSTEM"
STORAGE (INITIAL 1M NEXT 1M MINEXTENTS 8);
ALTER ROLLBACK SEGMENT "SYSROL" ONLINE;
spool off

REM ************************  . ********************
rem     (v_$, all_, dba_, user_ -  v$  x$;  RBS)
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\Catal
@VOL1:ORANW804\RDBMS80\ADMIN\catalog.sql
spool off

rem       (DBMS  .)
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\Catpr
@VOL1:ORANW804\RDBMS80\ADMIN\catproc.sql
spool off

spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\DSysRol
ALTER ROLLBACK SEGMENT "SYSROL" OFFLINE;
#DROP ROLLBACK SEGMENT "SYSROL"; (   )
spool off

spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\CTs
REM ********* Alter system tablespace ( .) *********************
ALTER TABLESPACE SYSTEM
DEFAULT STORAGE (INITIAL 128K NEXT 128K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0);

REM ********* TABLESPACE FOR SKUTOR (  ...) ************
CREATE TABLESPACE SKUTOR
DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Sku1ARLN.ora' SIZE 384M AUTOEXTEND ON NEXT 32M
DEFAULT STORAGE (INITIAL 128K NEXT 64K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0);

REM ********* TABLESPACE FOR USER (. ...) ************
CREATE TABLESPACE USR
DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Usr1ARLN.ora' SIZE 8M AUTOEXTEND ON NEXT 512K
DEFAULT STORAGE (INITIAL 80K NEXT 40K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 10);

REM ********* TABLESPACE FOR TOOLS (. ...) ************
rem CREATE TABLESPACE TOOLS
rem DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Tls1ARLN.ora' SIZE 16M AUTOEXTEND ON NEXT 4M
rem DEFAULT STORAGE (INITIAL 80K NEXT 40K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 10);

REM ************************ TABLESPACE FOR ROLLBACK ************************
CREATE TABLESPACE RBS
DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Rbs1ARLN.ora' SIZE 256M AUTOEXTEND ON NEXT 32M
DEFAULT STORAGE (INITIAL 1M NEXT 1M MINEXTENTS 2 MAXEXTENTS UNLIMITED PCTINCREASE 0);

REM ********************* TABLESPACE FOR TEMPORARY***************************
CREATE TABLESPACE TEMPORARY
DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Tmp1ARLN.ora' SIZE 16M AUTOEXTEND ON NEXT 4M
DEFAULT STORAGE (INITIAL 200K NEXT 200K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0) TEMPORARY;

REM ********************* TABLESPACE FOR INDEX*******************************
CREATE TABLESPACE INDX
DATAFILE 'VOL1:ORANW804\DATABASE\SKUTOR\Ind1ARLN.ora' SIZE 8M AUTOEXTEND ON NEXT 2M
DEFAULT STORAGE (INITIAL 200K NEXT 200K MINEXTENTS 1 MAXEXTENTS UNLIMITED PCTINCREASE 0);

ALTER USER SYS TEMPORARY TABLESPACE TEMPORARY;
ALTER USER SYSTEM DEFAULT TABLESPACE SKUTOR TEMPORARY TABLESPACE TEMPORARY;
spool off

REM *********************     *****************
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\CRbs
CREATE PUBLIC ROLLBACK SEGMENT R01 TABLESPACE "RBS"
STORAGE (INITIAL 4M NEXT 4M OPTIMAL 32M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R02 TABLESPACE "RBS"
STORAGE (INITIAL 2M NEXT 2M OPTIMAL 16M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R03 TABLESPACE "RBS"
STORAGE (INITIAL 2M NEXT 2M OPTIMAL 16M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R04 TABLESPACE "RBS"
STORAGE (INITIAL 2M NEXT 2M OPTIMAL 16M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R05 TABLESPACE "RBS"
STORAGE (INITIAL 2M NEXT 2M OPTIMAL 16M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R06 TABLESPACE "RBS"
STORAGE (INITIAL 1M NEXT 1M OPTIMAL  8M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R07 TABLESPACE "RBS"
STORAGE (INITIAL 1M NEXT 1M OPTIMAL  8M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R08 TABLESPACE "RBS"
STORAGE (INITIAL 1M NEXT 1M OPTIMAL  8M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R09 TABLESPACE "RBS"
STORAGE (INITIAL 1M NEXT 1M OPTIMAL  8M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
CREATE PUBLIC ROLLBACK SEGMENT R10 TABLESPACE "RBS"
STORAGE (INITIAL 4M NEXT 4M OPTIMAL 32M MINEXTENTS 8 MAXEXTENTS UNLIMITED);
ALTER ROLLBACK SEGMENT "R01" ONLINE;
ALTER ROLLBACK SEGMENT "R02" ONLINE;
ALTER ROLLBACK SEGMENT "R03" ONLINE;
ALTER ROLLBACK SEGMENT "R04" ONLINE;
ALTER ROLLBACK SEGMENT "R05" ONLINE;
ALTER ROLLBACK SEGMENT "R06" ONLINE;
ALTER ROLLBACK SEGMENT "R07" ONLINE;
ALTER ROLLBACK SEGMENT "R08" ONLINE;
ALTER ROLLBACK SEGMENT "R09" ONLINE;
ALTER ROLLBACK SEGMENT "R10" ONLINE;
spool off

rem        (hs$_)
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\Caths
@VOL1:ORANW804\RDBMS80\ADMIN\caths.sql
spool off

rem      (  ..):
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\CatRep
@VOL1:ORANW804\RDBMS80\ADMIN\CatRep8m.sql
spool off

rem CREATE PRODUCT AND USER PROFILE TABLES
spool VOL1:ORANW804\DATABASE\SKUTOR\LOG\Pupbld
connect SYSTEM/MANAGER@SKU_ARLN
@VOL1:ORANW804\RDBMS80\ADMIN\pupbld.sql
rem @C:\ORAWIN95\DBS\pupbld.sql
spool off
